<template>
    <div>
        <UserStoryForm v-bind:userStory="userStory" v-on:back="back" v-on:submit="submit" v-on:remove="remove"></UserStoryForm>
    </div>
</template>

<script>
import UserStoryForm from './UserStory.Form.vue';
import { editProject } from '@/api/projects.service.js'
export default {
    computed: {
        project() {
            return this.$store.getters.getCurrentProject;
        },
        sprint() {
            if (this.project && this.project.sprints && this.project.sprints[this.$route.params.sprintId]) {
                return this.project.sprints[this.$route.params.sprintId];
            }
            return {};
        },
        userStory(){
            if(this.sprint && this.sprint.userStories && this.sprint.userStories[this.$route.params.userStoryId]){
                return this.sprint.userStories[this.$route.params.userStoryId];
            }
            return {};
        }
    },
    components: {
        UserStoryForm
    },
    methods: {
        back: function () {
            this.$router.go(-1);
        },
        submit: function () {
            let id = this.project._id;
            editProject(id,this.project).then(() => {
                this.$store.dispatch('setProjectById',this.$route.params.id);
                this.$router.go(-1);
            });
        },
        remove() {

            this.project.sprints[this.$route.params.sprintId].userStories.splice(this.$route.params.userStoryId, 1);
            let id = this.project._id;
            editProject(id, this.project).then(() => {
                this.$store.dispatch('setProjectById', this.$route.params.id);
                this.$router.go(-1);
            });

        }
    }
}
</script>

<style>

</style>
